Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 190961 - Copy File Path for multiple Search Results Selections
Copy File Path for multiple Search Results Selections
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Search
6.x
PC Windows Vista
: P3 (vote)
: 8.0
Assigned To: Jaroslav Havlin
issues@utilities
:
Depends on:
Blocks: 33418
  Show dependency treegraph
 
Reported: 2010-10-12 23:42 UTC by bht
Modified: 2013-10-05 03:47 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bht 2010-10-12 23:42:46 UTC
In the Search Results window, on every found root node, there is a context menu entry "Copy File Path".

This is indeed a very useful feature.

It would be very nice to extent this menu entry to work with multiple selections, so one can use the copy as a todo list for editing a list of files, not only one by one.
Comment 1 Jaroslav Havlin 2013-10-03 13:45:59 UTC
http://hg.netbeans.org/core-main/rev/0fab2a6948fa
Fixed.
Thank you for reporting.
Comment 2 Quality Engineering 2013-10-05 03:47:59 UTC
Integrated into 'main-silver', will be available in build *201310050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0fab2a6948fa
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #190961: Copy File Path for multiple Search Results Selections

Extend CopyPathToClipboardAction so that it can work with FileObjects and use it in MatchingObjectNode.
Keep old CopyPathAction as fallback in case the module with  CopyPathToClipboard is not available.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo